> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Tag a data model

POST https://api.sigmacomputing.com/v2/dataModels/tag
Content-Type: application/json

Add a version tag to a data model and optionally set up a connection to swap to for a specific version of the data model.

  ### Usage notes
  - Retrieve the **dataModelId** by calling the [/v2/dataModels](https://help.sigmacomputing.com/reference/list-data-models) endpoint.
  - Retrieve the **tag** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint and using the `name` in the response.
  - Retrieve the **connectionId** to use as the **fromId** or **toId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
  - If your data model includes a source that is not mapped to a new source, that source is not swapped.
  - When swapping data models used as the source for the data model:
    - You can only swap a data model source to another version of the same data model source. You cannot swap a data model source to a table in your data warehouse or a dataset.
    - When you swap sources from one data model version to a new one, specify the version tag of the data model that you swap to with `toVersionTagId`:
      - To swap to the latest published version of the data model, specify `toVersionTagId` as `null`.
      - To swap to a specific tagged version of the data model, specify the `toVersionTagId` of the data model.
    - If the data model already uses a specific tagged version of a data model as a source, use `fromVersionTagId` to indicate which tagged version to swap from.
      - To swap from the latest published version of the data model, specify `fromVersionTagId` as `null`.
      - To swap from a specific tagged version of the data model, specify the `fromVersionTagId` of the data model.
  - To retrieve the `fromVersionTagId` for a data model used as the data model source, call the [/v2/dataModels/{dataModelId}/sources](https://help.sigmacomputing.com/reference/list-data-model-sources) endpoint and use the `versionTagId` in the response.
  - To retrieve the `versionTagId` for a data model, call the [/v2/dataModels](https://help.sigmacomputing.com/reference/list-data-models) endpoint and use the `versionTagId` in the response.

  ### Usage scenarios
  - **Lifecycle management**: Identify production and development resources.
    

Reference: https://help.sigmacomputing.com/reference/tag-data-model

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/dataModels/tag:
    post:
      operationId: tagDataModel
      summary: Tag a data model
      description: >-
        Add a version tag to a data model and optionally set up a connection to
        swap to for a specific version of the data model.

          ### Usage notes
          - Retrieve the **dataModelId** by calling the [/v2/dataModels](https://help.sigmacomputing.com/reference/list-data-models) endpoint.
          - Retrieve the **tag** by calling the [/v2/tags](https://help.sigmacomputing.com/reference/list-version-tag) endpoint and using the `name` in the response.
          - Retrieve the **connectionId** to use as the **fromId** or **toId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
          - If your data model includes a source that is not mapped to a new source, that source is not swapped.
          - When swapping data models used as the source for the data model:
            - You can only swap a data model source to another version of the same data model source. You cannot swap a data model source to a table in your data warehouse or a dataset.
            - When you swap sources from one data model version to a new one, specify the version tag of the data model that you swap to with `toVersionTagId`:
              - To swap to the latest published version of the data model, specify `toVersionTagId` as `null`.
              - To swap to a specific tagged version of the data model, specify the `toVersionTagId` of the data model.
            - If the data model already uses a specific tagged version of a data model as a source, use `fromVersionTagId` to indicate which tagged version to swap from.
              - To swap from the latest published version of the data model, specify `fromVersionTagId` as `null`.
              - To swap from a specific tagged version of the data model, specify the `fromVersionTagId` of the data model.
          - To retrieve the `fromVersionTagId` for a data model used as the data model source, call the [/v2/dataModels/{dataModelId}/sources](https://help.sigmacomputing.com/reference/list-data-model-sources) endpoint and use the `versionTagId` in the response.
          - To retrieve the `versionTagId` for a data model, call the [/v2/dataModels](https://help.sigmacomputing.com/reference/list-data-models) endpoint and use the `versionTagId` in the response.

          ### Usage scenarios
          - **Lifecycle management**: Identify production and development resources.
            
      tags:
        - dataModels
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dataModels_tagDataModel_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                dataModelId:
                  type: string
                  description: Unique identifier of the data model.
                tag:
                  type: string
                  description: Name of the version tag to apply.
                dataModelVersion:
                  type: number
                  format: double
                  description: Specific version of the published data model to tag.
                sourceMappingConfig:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItems
                  description: Swap sources for the data model when you add a tag.
                dataModelSourceTaggedVersions:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaDataModelSourceTaggedVersionsItems
                  description: Which tagged version of the data model to use as the source.
                isDefault:
                  type: boolean
                  description: >-
                    Whether to make this tag the default tagged version to load
                    if the user doesn't have access to the published version.
              required:
                - dataModelId
                - tag
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItemsPathsItems:
      type: object
      properties:
        fromPath:
          type: array
          items:
            type: string
        toPath:
          type: array
          items:
            type: string
      required:
        - fromPath
        - toPath
      title: >-
        V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItemsPathsItems
    V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItems:
      type: object
      properties:
        fromConnectionId:
          type: string
        toConnectionId:
          type: string
        paths:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItemsPathsItems
      required:
        - fromConnectionId
        - toConnectionId
        - paths
      title: >-
        V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaSourceMappingConfigItems
    V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaDataModelSourceTaggedVersionsItems:
      type: object
      properties:
        dataModelId:
          type: string
        fromVersionTagId:
          type:
            - string
            - 'null'
        toVersionTagId:
          type:
            - string
            - 'null'
      required:
        - dataModelId
        - fromVersionTagId
        - toVersionTagId
      title: >-
        V2DataModelsTagPostRequestBodyContentApplicationJsonSchemaDataModelSourceTaggedVersionsItems
    dataModels_tagDataModel_Response_200:
      type: object
      properties:
        versionTagId:
          type: string
        taggedDataModelId:
          type: string
          description: Unique identifier of the data model.
        taggedDataModelVersion:
          type: number
          format: double
      required:
        - versionTagId
        - taggedDataModelId
        - taggedDataModelVersion
      title: dataModels_tagDataModel_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "dataModelId": "00000000-0000-0000-0000-000000000000",
  "tag": "production",
  "dataModelVersion": 4,
  "sourceMappingConfig": [
    {
      "fromConnectionId": "00000000-0000-0000-0000-000000000000",
      "toConnectionId": "00000000-0000-0000-0000-000000000001",
      "paths": [
        {
          "fromPath": [
            "SNOWFLAKE_DEVELOPMENT",
            "WEATHER",
            "DAILY_14_TOTAL"
          ],
          "toPath": [
            "SNOWFLAKE_PRODUCTION",
            "WEATHER",
            "DAILY_16_TOTAL"
          ]
        }
      ]
    }
  ],
  "isDefault": true
}
```

**Response**

```json
{
  "versionTagId": "string",
  "taggedDataModelId": "string",
  "taggedDataModelVersion": 1.1
}
```

**SDK Code**

```python Request Example
import requests

url = "https://api.sigmacomputing.com/v2/dataModels/tag"

payload = {
    "dataModelId": "00000000-0000-0000-0000-000000000000",
    "tag": "production",
    "dataModelVersion": 4,
    "sourceMappingConfig": [
        {
            "fromConnectionId": "00000000-0000-0000-0000-000000000000",
            "toConnectionId": "00000000-0000-0000-0000-000000000001",
            "paths": [
                {
                    "fromPath": ["SNOWFLAKE_DEVELOPMENT", "WEATHER", "DAILY_14_TOTAL"],
                    "toPath": ["SNOWFLAKE_PRODUCTION", "WEATHER", "DAILY_16_TOTAL"]
                }
            ]
        }
    ],
    "isDefault": True
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Request Example
const url = 'https://api.sigmacomputing.com/v2/dataModels/tag';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"dataModelId":"00000000-0000-0000-0000-000000000000","tag":"production","dataModelVersion":4,"sourceMappingConfig":[{"fromConnectionId":"00000000-0000-0000-0000-000000000000","toConnectionId":"00000000-0000-0000-0000-000000000001","paths":[{"fromPath":["SNOWFLAKE_DEVELOPMENT","WEATHER","DAILY_14_TOTAL"],"toPath":["SNOWFLAKE_PRODUCTION","WEATHER","DAILY_16_TOTAL"]}]}],"isDefault":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Request Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/dataModels/tag"

	payload := strings.NewReader("{\n  \"dataModelId\": \"00000000-0000-0000-0000-000000000000\",\n  \"tag\": \"production\",\n  \"dataModelVersion\": 4,\n  \"sourceMappingConfig\": [\n    {\n      \"fromConnectionId\": \"00000000-0000-0000-0000-000000000000\",\n      \"toConnectionId\": \"00000000-0000-0000-0000-000000000001\",\n      \"paths\": [\n        {\n          \"fromPath\": [\n            \"SNOWFLAKE_DEVELOPMENT\",\n            \"WEATHER\",\n            \"DAILY_14_TOTAL\"\n          ],\n          \"toPath\": [\n            \"SNOWFLAKE_PRODUCTION\",\n            \"WEATHER\",\n            \"DAILY_16_TOTAL\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"isDefault\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Request Example
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/dataModels/tag")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"dataModelId\": \"00000000-0000-0000-0000-000000000000\",\n  \"tag\": \"production\",\n  \"dataModelVersion\": 4,\n  \"sourceMappingConfig\": [\n    {\n      \"fromConnectionId\": \"00000000-0000-0000-0000-000000000000\",\n      \"toConnectionId\": \"00000000-0000-0000-0000-000000000001\",\n      \"paths\": [\n        {\n          \"fromPath\": [\n            \"SNOWFLAKE_DEVELOPMENT\",\n            \"WEATHER\",\n            \"DAILY_14_TOTAL\"\n          ],\n          \"toPath\": [\n            \"SNOWFLAKE_PRODUCTION\",\n            \"WEATHER\",\n            \"DAILY_16_TOTAL\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"isDefault\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Request Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/dataModels/tag")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"dataModelId\": \"00000000-0000-0000-0000-000000000000\",\n  \"tag\": \"production\",\n  \"dataModelVersion\": 4,\n  \"sourceMappingConfig\": [\n    {\n      \"fromConnectionId\": \"00000000-0000-0000-0000-000000000000\",\n      \"toConnectionId\": \"00000000-0000-0000-0000-000000000001\",\n      \"paths\": [\n        {\n          \"fromPath\": [\n            \"SNOWFLAKE_DEVELOPMENT\",\n            \"WEATHER\",\n            \"DAILY_14_TOTAL\"\n          ],\n          \"toPath\": [\n            \"SNOWFLAKE_PRODUCTION\",\n            \"WEATHER\",\n            \"DAILY_16_TOTAL\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"isDefault\": true\n}")
  .asString();
```

```php Request Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/dataModels/tag', [
  'body' => '{
  "dataModelId": "00000000-0000-0000-0000-000000000000",
  "tag": "production",
  "dataModelVersion": 4,
  "sourceMappingConfig": [
    {
      "fromConnectionId": "00000000-0000-0000-0000-000000000000",
      "toConnectionId": "00000000-0000-0000-0000-000000000001",
      "paths": [
        {
          "fromPath": [
            "SNOWFLAKE_DEVELOPMENT",
            "WEATHER",
            "DAILY_14_TOTAL"
          ],
          "toPath": [
            "SNOWFLAKE_PRODUCTION",
            "WEATHER",
            "DAILY_16_TOTAL"
          ]
        }
      ]
    }
  ],
  "isDefault": true
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Request Example
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/dataModels/tag");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"dataModelId\": \"00000000-0000-0000-0000-000000000000\",\n  \"tag\": \"production\",\n  \"dataModelVersion\": 4,\n  \"sourceMappingConfig\": [\n    {\n      \"fromConnectionId\": \"00000000-0000-0000-0000-000000000000\",\n      \"toConnectionId\": \"00000000-0000-0000-0000-000000000001\",\n      \"paths\": [\n        {\n          \"fromPath\": [\n            \"SNOWFLAKE_DEVELOPMENT\",\n            \"WEATHER\",\n            \"DAILY_14_TOTAL\"\n          ],\n          \"toPath\": [\n            \"SNOWFLAKE_PRODUCTION\",\n            \"WEATHER\",\n            \"DAILY_16_TOTAL\"\n          ]\n        }\n      ]\n    }\n  ],\n  \"isDefault\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Request Example
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "dataModelId": "00000000-0000-0000-0000-000000000000",
  "tag": "production",
  "dataModelVersion": 4,
  "sourceMappingConfig": [
    [
      "fromConnectionId": "00000000-0000-0000-0000-000000000000",
      "toConnectionId": "00000000-0000-0000-0000-000000000001",
      "paths": [
        [
          "fromPath": ["SNOWFLAKE_DEVELOPMENT", "WEATHER", "DAILY_14_TOTAL"],
          "toPath": ["SNOWFLAKE_PRODUCTION", "WEATHER", "DAILY_16_TOTAL"]
        ]
      ]
    ]
  ],
  "isDefault": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/dataModels/tag")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```